%define oname rosaexpo

Summary:	Plasma 5 show desktop grid applet
Name:		plasma5-applet-%{oname}
Version:	5.1
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://rosalab.ru
# No public Url yet
Source0:	%{oname}-%{version}.tar.bz2
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5plasma-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Qml)

%description
Plasma 5 show desktop grid applet. It only calls Show Desktop Grid KWin effect.

%files
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.rosaexpo/
%{_kde5_datadir}/plasma/plasmoids/org.kde.plasma.rosaexpo/*
%dir %{_kde5_qmldir}/org/kde/plasma/private/rosaexpo/
%{_kde5_qmldir}/org/kde/plasma/private/rosaexpo/*
%{_kde5_services}/plasma-applet-org.kde.plasma.rosaexpo.desktop

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Fri Apr 08 2016 abondrov <andrey.bondrov@rosalab.ru> 5.1-1
- (b013074) New version 5.1 (fix applet size with Qt 5.6 on panel)


